Subject: bug#46827: Broken initial size of GTK3 frame

From: martin rudalics <[email-masked]>
Date: Wed, 5 May 2021 09:25:49 +0200

> It seems tab-bar.el already updates only between 0 and 1.

That's not what I've seen.

 > But even updating between 0 and 1 caused the problems.
 > We have bug#46557 created from https://debbugs.gnu.org/46299#119
 > I tried the test case from this bug report, and it doesn't fail anymore.
 > Do you think your patch fixed this old bug?

You mean an init file with

(set-frame-parameter nil 'tab-bar-lines 0)
(set-frame-parameter nil 'tab-bar-lines 1)
(set-frame-parameter nil 'tab-bar-lines 0)

and doing C-x t 2?  I have never seen any problems with that so I can't
tell.  But it's my experience that whatever we do to our frames, it's
hard to break the external menu bar.

martin